# TODO: move this into chef-genius

log_foward_items = node['logstash-forwarder']['items']
log_foward_enabled = node['logstash-forwarder']['enabled']

if log_foward_items && log_foward_enabled
  include_recipe 'logstash-forwarder'

  log_foward_items.each do |item_name, item_props|
    log_forward item_name do
      paths item_props['paths']
      fields grok_type: item_props['type']
    end
  end
end
